> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve trace details

> Retrieves the details of a given trace by id



## OpenAPI

````yaml api-reference/open-api-v1.json post /trace/{traceId}/details
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 1.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /trace/{traceId}/details:
    post:
      tags:
        - Trace
      summary: Retrieve trace details
      description: Retrieves the details of a given trace by id
      operationId: TraceController_getTraceDetails
      parameters:
        - name: traceId
          required: true
          in: path
          description: The UUID of the trace
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TraceDetailsInputDto'
      responses:
        '200':
          description: The details of the given trace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceDetailsDto'
      security:
        - bearer: []
components:
  schemas:
    TraceDetailsInputDto:
      type: object
      properties:
        input:
          description: The input used to retrieve the links of a given trace
      required:
        - input
    TraceDetailsDto:
      type: object
      properties:
        links:
          description: The links of the trace
          type: array
          items:
            type: object
            properties: {}
        totalCount:
          description: The total count of the links
          type: integer
        info:
          type: object
          properties:
            hasNext:
              type: boolean
            hasPrevious:
              type: boolean
            startCursor:
              type: string
            endCursor:
              type: string
          required:
            - hasNext
            - hasPrevious
      required:
        - links
        - totalCount
        - info
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````